#include <SPI.h> //引用SPI程式庫
#include <LoRa.h> //引用LoRa程式庫

void setup() {
  Serial.begin(9600); //啟動UART
  while (!Serial); //檢查UART是否成功啟動

  Serial.println("LoRa Receiver"); //顯示"LoRa Receiver"

  if (!LoRa.begin(915E6)) 設定工作頻率為915MHz
  { Serial.println("Starting LoRa failed!"); //顯示"Starting LoRa failed!"
    while (1); //持續執行
  }
  LoRa.setTxPower(4); //設定輸出功率為4
  LoRa.setSpreadingFactor(12); //設定展頻因子為12
  LoRa.setSignalBandwidth(125E3); //設定頻寬為125KHz
  LoRa.setCodingRate4(6); //設定 Coding Rate為6

}

void loop() {
  int packetSize = LoRa.parsePacket(); //檢查是否收到LoRa資料串
  if (packetSize) {
    Serial.print("Received packet '"); //顯示"Received packet '"

    // read packet
    while (LoRa.available()) //當有可以接收的資料串
    { 
      Serial.print((char)LoRa.read()); // 接收到的資料及顯示
    }

    Serial.print("' with RSSI "); //顯示 "' with RSSI "
    Serial.println(LoRa.packetRssi()); //顯示 接收到的RSSI強度
  }
}
