#include <SPI.h> //引用SPI程式庫
#include <LoRa.h> //引用LoRa程式庫

int counter = 0;

void setup() {
  Serial.begin(9600); // 啟動 UART
  while (!Serial);  // 檢查UART是否啟動

  Serial.println("LoRa Sender"); //於Monitor顯示 "LoRa Sender"

  if (!LoRa.begin(915E6)) // 設定頻率為 915MH，及檢查是否請啟動成功
  { Serial.println("Starting LoRa failed!"); // 啟動失敗顯示"Starting LoRa failed!"
    while (1); //持續持行
  }
  LoRa.setTxPower(4); //設定輸出功率為4
  LoRa.setSpreadingFactor(12); //設定展頻因子為12
  LoRa.setSignalBandwidth(125E3); //設定頻寬為125KHz
  LoRa.setCodingRate4(6); //設定 Coding Rate為6
}

void loop() {
  Serial.print("Sending packet: "); //顯示"Sending packet: "
  Serial.println(counter); //顯示傳送計數
  counter++;

  delay(1000); //延遲約1秒
}
